include mixins

head
    +head
    link(href='assets/css/login.css' rel='stylesheet')

body
    .click-closed
    +navbar('login')

    // / Intro Single star /
    section.intro-single
        .container
            center
                - var error = error
                +error(error)
        
                form.needs-validation.form-signin.bg-light(method='POST' action='/registrar' novalidate)
                    img.img-fluid(src='/assets/img/imagenlogin.jpg' alt='Avatar')
                    hr
                    h2 Registrese
                    label(for='email') Email:
                    input#email.form-control(type='email' name='email' placeholder='Correo electrónico' required='' value=`${email}`)
                    .invalid-feedback
                        | Por favor ingrese un Email válido.
                    .col-md-6.mb-3
                    label(for='username') Username:
                    input#username.form-control(type='text' name='username' placeholder='Nombre de usuario' required='' pattern='[A-Za-z0-9_-]{4,16}' value=`${username}`)
                    .invalid-feedback
                        | Su usuario debe tener por lo menos 4 letras y contener solo letras, números y guiones.
                    .col-md-6.mb-3
                    label(for='inputPassword') Contraseña:
                    input#inputPassword.form-control(type='password' name='password' placeholder='Contraseña' required='' value=`${password}`  pattern='(?=.*[0-9])(?=.*[a-z])(?=.*[A-Z]).{8,}')
                    .invalid-feedback
                        | Su contraseña debe tener al menos 8 caracteres, una mayúscula, una minúscula y un número.
                    .col-md-6.mb-3
                    label(for='inputPassword2') Confirmar contraseña:
                    input#inputPassword2.form-control(type='password' name='confirmPassword' placeholder='Confirmar contraseña' value=`${confirmPassword}`)
                    hr
                    button.btn.btn-lg.btn-primary.btn-block(type='submit') Registrarse
                        | 
                        .fa.fa-sign-in
                br

                script.
                    (function() {
                        'use strict';
                        window.addEventListener('load', function() {
                            var forms = document.getElementsByClassName('needs-validation');
                            var validation = Array.prototype.filter.call(forms, function(form) {
                                form.addEventListener('submit', function(event) {
                                    if (form.checkValidity() === false) {
                                        event.preventDefault();
                                        event.stopPropagation();
                                    }
                                    form.classList.add('was-validated');
                                }, false);
                            });
                        }, false);
                    })();
    +footer
    +scripts